+++
title = "Links for 2020-04-24"
date = 2020-04-24

[taxonomies]
tags = ["links", "databases", "wallpapers", "studio ghibli",
"creative commons", "cc", "california", "covid", "lockdown",
"contact tracing", "gact", "python", "corotines", "facebook", "privacy",
"paradox", "writing"]
+++

Understanding Databases, Studio Ghibli Wallpapers, Creative Commons, The Good
Side of COVID, Contact Tracing, Corotines in Python, Facebook, Privacy
Paradox, Writing.

<!-- more -->

# [Things I Wished More Developers Knew About Databases](https://medium.com/@rakyll/things-i-wished-more-developers-knew-about-databases-2d0178464f78)

A very long article about the different things different databases do.
Although it doesn't focus on specific databases, a lot can be inferred from
the points.

... although it focus on relational databases only.

Another point that I could add here is that you should pick a database for
making your data _read ready_. For example, if you built some sort of response
and it basically doesn't change, it is ok to put the whole thing in a database
(in JSON format or using a key-value database instead). Putting the work of
doing sums and averages and whatnot _outside_ the database can really save
your butt.

# ["Studio Ghibli Wallpaper" for use in web conferences, etc.](http://www.ghibli.jp/info/013251/)

Studio Ghibli, of "Princess Mononoke" and "My Neighbor Totoro" released a
bunch of wallpapers for people to use as background of their videoconferencing
or even computer wallpapers.

And it's free.

(This was a pain to finally find it in full: It was a toot on Mastodon, which
took me to BoingBoing, with pointed to OpenCulture, which _finally_ went to
Studio Ghibli website with the images.)

# [Understanding Free Cultural Works](https://creativecommons.org/share-your-work/public-domain/freeworks)

Creative Commons, known for their licenses-for-not-software (sorry, I can't
find a better description) released an article explaining the different types
of licenses they have.

And yes, I'm sharing this 'cause I am, again, worried about the amount of
stuff that doesn't get a proper license and may be abused.

# [Crashes and Traffic Are Down by Half, Saving State $40 Million Per Day During Shelter-In-Place](https://www.ucdavis.edu/news/california-covid-19-traffic-report-finds-silver-lining/)

While we sit on our houses, wondering when we can get out again -- some of us
wondering _if_ we could get out at some point -- some things seem to be
improving outside the COVID problem.

After India reported [dramatic reduction in
pollution](https://www.msn.com/en-us/news/world/india-s-coronavirus-lockdown-is-having-a-dramatic-impact-on-pollution/ar-BB11ZmD5),
now California is reporting that, due people staying at their homes, the
number of traffic accidents reduced the costs taking injuries, damages and
deaths.

Not that we should raise a statue to COVID, but at least some good things are
coming out of this lockdown. Let's hope we can make these results permanent in
the end.

# [Google Apple Contact Tracing (GACT): a wolf in sheep’s clothes.](https://blog.xot.nl/2020/04/19/google-apple-contact-tracing-gact-a-wolf-in-sheeps-clothes/)

Contact Tracing is one of those things that look good in theory, but when
confronted with the challenges of privacy, doesn't seem so great.

The idea behind Contact Tracing is to make mobile devices talk to each other,
so in case someone finds out they got some transmittable disease, like COVID,
authorities can trace back who had contact with that person. It's good 'cause
you can alert those people earlier, preventing some huge explosion of
contamination cases around.

But the problem is that the owner of said mobile device can't opt out of this.
The data is not kept in a secure place -- like the person mobile device -- but
shared on the respective device company.

And how long till COVID is gone and this is used to trace, say, who some
journalist spoke when they got some information that puts pressure on a
government? True, I'm again jumping into the slippery slope of fallacies, but
we need to worry about those things when mobile devices are basically part of
us: We don't recall our appointments 'cause our devices do that for us; we
don't remember our friends phones 'cause it is in the device.

# [Building Finite State Machines with Python Coroutines](https://arpitbhayani.me/blogs/fsm)

I found more curious that Python has corotines than the idea behind using them
for state machines.

The only point I see is how weird the floating `yield` appears in the code and
how non-Pythonic the corotine appears (`send`? Where that came from?)

# [How Does Facebook Know So Much About Me?](https://theprivacyissue.com/data-tracking/how-does-facebook-know-so-much)

Dunno if it is because I cancelled my Facebook account, but I've noticed some
decline in the number of news about Facebook privacy "standards".

This is a short summary of what Facebook does to collect information about
you, even some without your consent -- a few weeks ago, there were some news
about a board member admitting they have "dark profiles", information about
people that do _not_ have a Facebook account.

# [Decoding the Privacy Paradox](https://theprivacyissue.com/privacy-and-society/decoding-privacy-paradox)

Knowing that our data is being captured everywhere and doing nothing to change
that is the so called "privacy paradox".

An interesting and sad read.

# [Doing more with less time: critical skills for productive programmers](https://codewithoutrules.com/2020/04/20/productivity-skills/)

While this is focused on developers, one thing really hit me hard:

> Output = Productivity × Time Worked

Why? Because a lot of things around here in Brazil -- industry, specially --
try to focus on increasing output by changing the "Time Worked" instead of
focusing on "Productivity", using better tools or investing in better
equipment.

And while it is not mentioned in the post (although it mentions the limit of
"time worked" though), we, developers, can also take a look on increasing
Productivity. The easiest way is to automate the heck of what we can: The less
time we waste on bureaucratic/repetitive actions, the more we can produce.
Some harder way is to change our current tools to something that can take less
of our time, and that's harder 'cause we believe we will "lose time" learning
something new or changing our workflows.

# [On Writing Well](https://syften.com/blog/post/writing-style/)

For someone like me who is constantly writing something -- either blog posts,
either translating/writing a book, or just outputting small opinions about
diverse topics, like I'm doing right now -- having a proper idea on how to
write is important.

And I feel like I need to share this 'cause what I put on this kind of post is
only a short amount of what I read. Most of the links I save to read later
prove to be just short pieces of opinions but some are very complex and hard
to follow due their writing style. If I get tired reading, I won't get the
point and if I don't get the point, I don't think I should reshare -- no
matter how interesting the topic at hand is.

---

This list of links was built with the help of :

* [Boing Boing](https://tooot.im/@boingboing)
* [HN Tooter](https://mastodon.social/@hntooter)
* [newsbot](https://mastodon.social/@newsbot)
* [Sean O'Brien](https://mastodon.social/@diggity)
