+++
title = "Links for 2020-05-03"
date = 2020-05-03

[taxonomies]
tags = ["links", "data-oriented designs", "clean air", "covid", "europe",
"managers", "playbook", "1x developer", "rust", "winrt", "wasm", "kubernetes",
"kublets", "tmux", "javascript", "storage", "awk"]
+++

Data-Oriented Designs, Clean Air on Europe, A Playbook for Managers, Rules for
1x Developer, Rust/WinRT, Rust+Wasm for Kublets, Tmux, Cost of JavaScript,
Storage Systems, Awk.

<!-- more -->

# [Data-Oriented Design](https://www.dataorienteddesign.com/dodbook/dodmain.html)

I always looked at software as a flow of data: Data comes in, it is
transformed and it gets out -- sometimes, the transformation part is just a
collection of a sequence of transformations.

This is a whole book about looking at the data instead of the code. And it's
free.

# [Clean air in Europe during lockdown ‘leads to 11,000 fewer deaths’](https://www.theguardian.com/environment/2020/apr/30/clean-air-in-europe-during-lockdown-leads-to-11000-fewer-deaths)

Yet another silver lining in this quarantine: The reduction of polution it
causing people with asthma to have less attacks, reduced the deaths of
respiratory problems and so on.

I'm not saying "Hooray for COVID!", but governments need to take a look at
this kind of reduction and start working on ways to keep it more permanent.

# [Manager's Playbook](https://github.com/ksindi/managers-playbook)

A few years ago, I got the opportunity to become a technical leader in two
different teams and I really enjoyed. Since then, I've been reading everything
I can about leadership, management and such. But I've never seen a such
succinct and direct list like this.

# [Rules of thumb for a 1x developer](https://muldoon.cloud/programming/2020/04/17/programming-rules-thumb.html)

While I don't agree with a lot of points here, I think it is worth sharing it.

In general, while the business rules you learn in one job do not automatically
transfer to another -- for example, the way a pharmaceutical company works,
and its business rules, do no translate directly to an auto shop -- some
aspects do transfer: Both of those have to manage their resources, specially
money; both of these have to deal with customers and give them a good
experience. Again, those do not translate directly, but knowing what they
tried and didn't work, no matter what it was, is _always_ good knowledge.

But some are really gold: "Estimates serve more for creating pressure than for
project planning" is actually a hell of a truth. 

# [Rust/WinRT Public Preview](https://blogs.windows.com/windowsdeveloper/2020/04/30/rust-winrt-public-preview/)

After pointing most of the problems with [Windows are memory safety
issues](https://www.zdnet.com/article/microsoft-70-percent-of-all-security-bugs-are-memory-safety-issues/)
(one thing Rust aims for) and after working on its own version of the borrow
checker with [Project Verona](https://github.com/microsoft/verona), now
Microsoft released a version of the Windows Runtime Libraries aimed for Rust
developers.

It seems Microsoft is getting _really_ in love with Rust.

# [Microsoft: Why we used programming language Rust over Go for WebAssembly on Kubernetes app](https://www.zdnet.com/article/microsoft-why-we-used-programming-language-rust-over-go-for-webassembly-on-kubernetes-app/)

... and that's not only it.

Microsoft is checking the use of Rust and WebAssembly to make Kubernets
"kublets" -- the worker parts of a Kubernets cluster.

The interesting part is "For the first week or so, we lost much of our time to
learning how borrows worked. After about two weeks, we were back up to 50%
efficiency compared to us writing in Go. After a month, we all were
comfortable enough that we were back up to full efficiency (in terms of how
much code we could write)," writes Thomas.

This is not related to the speed of the resulting app, but the speed of
development. And the learning curve of Rust is well known, but the curve is
not permanent, with the final results pointing that you have better security
in the end.

And I'm left wondering how long till Microsoft starts sponsoring Rust
development, as [AWS did in the end of last
year](https://aws.amazon.com/blogs/opensource/aws-sponsorship-of-the-rust-project/).

# [Tmux for mere mortals](https://zserge.com/posts/tmux/)

The configuration I was always looking for Tmux: Using alt to switch between
contexts, no leading key.

Maybe I still need to mess a bit with my terminal emulator, but that's
basically it.

# [The Cost of Javascript Frameworks](https://timkadlec.com/remembers/2020-04-21-the-cost-of-javascript-frameworks/)

A long study on the price we pay for adding JavaScript on our sites.

This is _not_ a rant against JavaScript -- it is here and it won't go away.
But having this information can give you some pointers on deciding what is
and what is not worth adding to your site.in the beginning of this year.

# [Storage Systems for Cheap but Capable Bastards](https://securedata.fyi/2020-05-01-storage-choices/)

Where do you want to keep your files? Do you have lots of money? What kind of
data you want to keep?

# [Awk in 20 Minutes](https://ferd.ca/awk-in-20-minutes.html)

Awk. The first time I saw Awk, I though it was simple a text processing of
sorts, a `sed` on steroids. But there is a lot more about than just that. And
here is a short intro about the language itself.

---

This post was built with the help of

* [Adrian Cochrane](https://floss.social/@alcinnz)
* [Alastair](https://mastodon.social/@alastair_hm)
* [HN Tooter](https://mastodon.social/@hntooter)
* [newsbot](https://mastodon.social/@newsbot)
