+++
title = "What The Hell Is Apple Doing?"
date = 2020-10-30

[taxonomies]
tags = ["apple", "iphone", "charger", "earphones"]
+++

Apple announced that the new iPhone won't come with a charger or earphones, "to
help the environment". And a lot of people said they are just trying to get
more money.

But maybe there is something more in this.

<!-- more -->

Apple is not a dumb company. One of the things they do (very well) is "train"
people to accept their products, in a way that people don't realize they are
being trained.

One example: Apple developed the iPad before the iPhone. But they knew people
won't understand why one would buy a touch screen with a (at the time) small
processing power when there were laptops. But by released the iPhone, they
"trained" people to accept the touch screen and, with that, allowed the iPad
(and other tablets) to be generally accepted.

Another example: In a time when the only screen resolution for the iPhone was
4.7", for two (or three) WWDCs there were talks about how to use the
contrain-based layout in iOS applications. This layout mechanic is based on
defining things like "this element must be X pixels/Y% distant from that other
element (or border)". But for something that always had the same resolution[^1]
and the same size, why would anyone use this? The reason was the release of
iPhone with larger screens. Again, Apple trained developers to think in a
different way before making their move.

So what the hell can we expect from phones with no charger and no earphones?

First of all, let's think who doesn't need a charger or earphones: People who
*already have* chargers and earphones. And who already have chargers and
earphones compatible with iPhones? People who already have an iPhone.

In a way, Apple seems resigned to the idea that people that buy an iPhone
already have an iPhone. It's not people that are replacing their Android phones
with an Apple solution, it's people who are updating to the newest version of
the phone. Sure, there is that one person that is getting their first phone and
won't have a previous charger+earphones, but that seems to be a small
percentage in Apple's view.

If that's the case, the "helping the environment" actually makes sense: Less
materials required, less things just thrown in drawers that will never be
used...

Still, there is no "training" in this; it is simple "not used, not required".
So what could be the training involved in this?

And I believe that the plan is to offer an annual upgrade plan by Apple itself.
Imagine this: You pay a plan, a very small fee every month or so and, every
year, you go to an Apple store, drop your old phone and get the brand new
model! What a deal! And, because the model is the latest version of the same
thing, the charger and earphones are still compatible.

I've seen this kind of model offered by phone companies already, but this
strategy would cut the middle man and go directly to Apple. With the advantage
-- to Apple -- that it would provide constant income instead of bursts of money
once a year.

---

[^1]: There was a resolution change from the original screen to retina display,
  but that made the resolution twice as it was before, and the OS itself would
  change your "10 pixels from the left side" to "20 pixels from the left side".
